const URL = "/one-api/mockup/masterdata/accounting/JournalVerifEdit/";

export async function getListJournalEdit(params) {
    try {
        var resp = await axios.post(URL + "getListJournalEdit", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}

export async function getDetailJournalEdit(params) {
    try {
        var resp = await axios.post(URL + "getDetailJournalEdit", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}

export async function verifEditJurnal(params) {
    try {
        var resp = await axios.post(URL + "verifEditJurnal", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}

export async function getListPeriode(params) {
    try {
        var resp = await axios.post(URL + "getListPeriode", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}

export async function getListTypeJurnal(params) {
    try {
        var resp = await axios.post(URL + "getListTypeJurnal", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}

export async function updateRequestEditStatus(params) {
    try {
        var resp = await axios.post(URL + "updateRequestEditJurnal", params);
        if (resp.status != 200) {
            return {
                status: "ERR",
                message: resp.statusText
            };
        }
        var data = resp.data;
        return data;
    } catch (error) {
        return {
            status: "ERR",
            message: error.message
        }
    }
}